package com.fr.plugin;

import com.fr.extended.chart.AbstractDataConfig;
import com.fr.extended.chart.ExtendedField;
import com.fr.stable.AssistUtils;
import com.fr.stable.xml.XMLPrintWriter;
import com.fr.stable.xml.XMLableReader;

/**
 * 后台图表对象用于：数据保存和界面交换数据的model
 */
public class WaterChartConfig  extends AbstractDataConfig {

    /**
     * 数据字段，有一个字段保存一个
     */
    private ExtendedField value = new ExtendedField();

    public ExtendedField getValue() {
        return value;
    }

    public void setValue(ExtendedField value) {
        this.value = value;
    }

    @Override
    protected void readAttr(XMLableReader xmLableReader) {
        readExtendedField(value,"value",xmLableReader);
    }

    @Override
    protected void writeAttr(XMLPrintWriter xmlPrintWriter) {
        writeExtendedField(value,"value",xmlPrintWriter);
    }

    @Override
    public ExtendedField[] dataSetFields() {
        return new ExtendedField[]{
                value
        };
    }

    @Override
    public WaterChartConfig clone() throws CloneNotSupportedException {
        WaterChartConfig result = new WaterChartConfig();
        result.setValue(this.getValue().clone());
        return result;
    }

    @Override
    public int hashCode() {
        return super.hashCode() + AssistUtils.hashCode(this.getValue());
    }

    @Override
    public boolean equals(Object obj) {
        return obj instanceof WaterChartConfig && AssistUtils.equals(this.getValue(), ((WaterChartConfig) obj).getValue());
    }
}
