package com.fr.plugin;

import com.fr.design.mainframe.chart.gui.data.report.AbstractReportDataContentPane;
import com.fr.extended.chart.AbstractExtendedChartTableDataPane;
import com.fr.extended.chart.AbstractExtendedChartUIProvider;
import com.fr.plugin.pane.WaterChartTableDataPane;
import com.fr.plugin.pane.WaterChatReportDataContentPane;

/**
 * 写这写按照plugin顺序写，按照文档写，按照idea提示写，不要自己硬
 */
public class WaterChartUI  extends AbstractExtendedChartUIProvider {

    /**
     * 数据来选为数据集数据时使用的界面
     */
    @Override
    protected AbstractExtendedChartTableDataPane getTableDataSourcePane() {
        return new WaterChartTableDataPane();
    }
    /**
     * 数据来选为单元格时下方的数据
     */
    @Override
    protected AbstractReportDataContentPane getReportDataSourcePane() {
        return new WaterChatReportDataContentPane();
    }

    /**
     * 预览图
     */
    @Override
    public String[] getDemoImagePath() {
        return new String[]{
             "com/fr/plugin/web/icon/preview.PNG"
        };
    }

    /*
    32*32
     */
    @Override
    public String getIconPath() {
        return "com/fr/plugin/web/icon/icon.png";
    }
}
